/**  版本信息模板在安装目录下，可自行修改。
* T_Sys_GroupClass.cs
*
* 功 能： N/A
* 类 名： T_Sys_GroupClass
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/9/5 14:54:21   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using RMYY_CallCenter_Api.DB;

namespace RMYY_CallCenter_Api.Dal
{
	/// <summary>
	/// 数据访问类:T_Sys_GroupClass
	/// </summary>
	public partial class T_Sys_GroupClass
	{
		public T_Sys_GroupClass()
		{}
		#region  BasicMethod



		/// <summary>
		/// 增加一条数据
		/// </summary>
		public long Add(RMYY_CallCenter_Api.Model.T_Sys_GroupClass model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_Sys_GroupClass(");
			strSql.Append("F_UserCode,F_Date,F_DeptId,F_Remark,F_State,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime,F_ClassCode,F_IsAutomatic)");
			strSql.Append(" values (");
			strSql.Append("@F_UserCode,@F_Date,@F_DeptId,@F_Remark,@F_State,@F_CreateUser,@F_CreateTime,@F_IsDelete,@F_DeleteUser,@F_DeleteTime,@F_ClassCode,@F_IsAutomatic)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_UserCode", SqlDbType.VarChar,50),
					new SqlParameter("@F_Date", SqlDbType.DateTime),
					new SqlParameter("@F_DeptId", SqlDbType.Int,4),
					new SqlParameter("@F_Remark", SqlDbType.NVarChar,-1),
					new SqlParameter("@F_State", SqlDbType.Int,4),
					new SqlParameter("@F_CreateUser", SqlDbType.VarChar,50),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
					new SqlParameter("@F_IsDelete", SqlDbType.Int,4),
					new SqlParameter("@F_DeleteUser", SqlDbType.VarChar,50),
					new SqlParameter("@F_DeleteTime", SqlDbType.DateTime),
                    new SqlParameter("@F_ClassCode", SqlDbType.VarChar,50),
                    new SqlParameter("@F_IsAutomatic", SqlDbType.Int,4)
                    
            };
			parameters[0].Value = model.F_UserCode;
			parameters[1].Value = model.F_Date;
			parameters[2].Value = model.F_DeptId;
			parameters[3].Value = model.F_Remark;
			parameters[4].Value = model.F_State;
			parameters[5].Value = model.F_CreateUser;
			parameters[6].Value = model.F_CreateTime;
			parameters[7].Value = model.F_IsDelete;
			parameters[8].Value = model.F_DeleteUser;
			parameters[9].Value = model.F_DeleteTime;
            parameters[10].Value = model.F_ClassCode;
            parameters[11].Value = model.F_IsAutomatic;
            

            object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt64(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_Sys_GroupClass model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_Sys_GroupClass set ");
			strSql.Append("F_UserCode=@F_UserCode,");
			strSql.Append("F_Date=@F_Date,");
			strSql.Append("F_DeptId=@F_DeptId,");
			strSql.Append("F_Remark=@F_Remark,");
			strSql.Append("F_State=@F_State,");
			strSql.Append("F_CreateUser=@F_CreateUser,");
			strSql.Append("F_CreateTime=@F_CreateTime,");
			strSql.Append("F_IsDelete=@F_IsDelete,");
			strSql.Append("F_DeleteUser=@F_DeleteUser,");
			strSql.Append("F_DeleteTime=@F_DeleteTime,");
            strSql.Append("F_IsAutomatic=@F_IsAutomatic,");
            strSql.Append("F_ClassCode=@F_ClassCode");
            

            strSql.Append(" where F_Id=@F_Id");
			SqlParameter[] parameters = {
					new SqlParameter("@F_UserCode", SqlDbType.VarChar,50),
					new SqlParameter("@F_Date", SqlDbType.DateTime),
					new SqlParameter("@F_DeptId", SqlDbType.Int,4),
					new SqlParameter("@F_Remark", SqlDbType.NVarChar,-1),
					new SqlParameter("@F_State", SqlDbType.Int,4),
					new SqlParameter("@F_CreateUser", SqlDbType.VarChar,50),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
					new SqlParameter("@F_IsDelete", SqlDbType.Int,4),
					new SqlParameter("@F_DeleteUser", SqlDbType.VarChar,50),
					new SqlParameter("@F_DeleteTime", SqlDbType.DateTime),
                    new SqlParameter("@F_IsAutomatic", SqlDbType.Int,4),
                        new SqlParameter("@F_ClassCode", SqlDbType.VarChar,50),
                    

                    new SqlParameter("@F_Id", SqlDbType.BigInt,8)};
			parameters[0].Value = model.F_UserCode;
			parameters[1].Value = model.F_Date;
			parameters[2].Value = model.F_DeptId;
			parameters[3].Value = model.F_Remark;
			parameters[4].Value = model.F_State;
			parameters[5].Value = model.F_CreateUser;
			parameters[6].Value = model.F_CreateTime;
			parameters[7].Value = model.F_IsDelete;
			parameters[8].Value = model.F_DeleteUser;
			parameters[9].Value = model.F_DeleteTime;
            parameters[10].Value = model.F_IsAutomatic;
            parameters[11].Value = model.F_ClassCode;
            parameters[12].Value = model.F_Id;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(long F_Id)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Sys_GroupClass ");
			strSql.Append(" where F_Id=@F_Id");
			SqlParameter[] parameters = {
					new SqlParameter("@F_Id", SqlDbType.BigInt)
			};
			parameters[0].Value = F_Id;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_Idlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Sys_GroupClass ");
			strSql.Append(" where F_Id in ("+F_Idlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_Sys_GroupClass GetModel(long F_Id)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_Id,F_UserCode,F_Date,F_DeptId,F_Remark,F_State,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime ,F_ClassCode,F_IsAutomatic from T_Sys_GroupClass ");
			strSql.Append(" where F_Id=@F_Id");
			SqlParameter[] parameters = {
					new SqlParameter("@F_Id", SqlDbType.BigInt)
			};
			parameters[0].Value = F_Id;

			RMYY_CallCenter_Api.Model.T_Sys_GroupClass model=new RMYY_CallCenter_Api.Model.T_Sys_GroupClass();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_Sys_GroupClass DataRowToModel(DataRow row)
		{
			RMYY_CallCenter_Api.Model.T_Sys_GroupClass model=new RMYY_CallCenter_Api.Model.T_Sys_GroupClass();
			if (row != null)
			{
				if(row["F_Id"]!=null && row["F_Id"].ToString()!="")
				{
					model.F_Id=long.Parse(row["F_Id"].ToString());
				}
				if(row["F_UserCode"]!=null)
				{
					model.F_UserCode=row["F_UserCode"].ToString();
				}
				if(row["F_Date"]!=null && row["F_Date"].ToString()!="")
				{
					model.F_Date=DateTime.Parse(row["F_Date"].ToString());
				}
				if(row["F_DeptId"]!=null && row["F_DeptId"].ToString()!="")
				{
					model.F_DeptId=int.Parse(row["F_DeptId"].ToString());
				}
				if(row["F_Remark"]!=null)
				{
					model.F_Remark=row["F_Remark"].ToString();
				}
				if(row["F_State"]!=null && row["F_State"].ToString()!="")
				{
					model.F_State=int.Parse(row["F_State"].ToString());
				}
				if(row["F_CreateUser"]!=null)
				{
					model.F_CreateUser=row["F_CreateUser"].ToString();
				}
                
if (row["F_ClassCode"] != null)
                {
                    model.F_ClassCode = row["F_ClassCode"].ToString();
                }
                if (row["F_CreateTime"]!=null && row["F_CreateTime"].ToString()!="")
				{
					model.F_CreateTime=DateTime.Parse(row["F_CreateTime"].ToString());
				}
				if(row["F_IsDelete"]!=null && row["F_IsDelete"].ToString()!="")
				{
					model.F_IsDelete=int.Parse(row["F_IsDelete"].ToString());
				}
				if(row["F_DeleteUser"]!=null)
				{
					model.F_DeleteUser=row["F_DeleteUser"].ToString();
				}
				if(row["F_DeleteTime"]!=null && row["F_DeleteTime"].ToString()!="")
				{
					model.F_DeleteTime=DateTime.Parse(row["F_DeleteTime"].ToString());
				}
                if (row["F_IsAutomatic"] != null && row["F_IsAutomatic"].ToString() != "")
                {
                    model.F_IsAutomatic = int .Parse(row["F_IsAutomatic"].ToString());
                }
                

            }
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
		 
			strSql.Append("select F_Id,F_UserCode,F_IsAutomatic,F_Date,F_DeptId,F_Remark,F_State,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime ,F_ClassCode");
			strSql.Append(" FROM T_Sys_GroupClass ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_Id,F_UserCode,F_Date,F_IsAutomatic,F_DeptId,F_Remark,F_State,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime,F_ClassCode ");
			strSql.Append(" FROM T_Sys_GroupClass ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_Sys_GroupClass ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_Id desc");
			}
			strSql.Append(")AS Row, T.*  from T_Sys_GroupClass T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Sys_GroupClass";
			parameters[1].Value = "F_Id";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

